Date: Sun Jul  1 00:34:03 UTC 2012
Subject: https://github.com/OpenRA/OpenRA/issues/2005

fixed in https://github.com/OpenRA/OpenRA/commit/c068be453a9bcb7bc1fdd5874dc1296b6f4810d0#diff-0

--- OpenRA.FileFormats/FieldLoader.cs
+++ OpenRA.FileFormats/FieldLoader.cs
@@ -325,6 +325,10 @@
 					((int)c.B).Clamp(0, 255));
 			}
 
+			// Don't save floats in settings.yaml using country-specific decimal separators which can be misunderstood as group seperators.
+			if (t == typeof(float))
+				return ((float)v).ToString(CultureInfo.InvariantCulture);
+
 			if (t == typeof(Rectangle))
 			{
 				var r = (Rectangle)v;
